"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const sheep_index = require("../../index.js");
const sheep_hooks_useGoods = require("../../hooks/useGoods.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
require("../../util/index.js");
const _sfc_main = {
  __name: "s-goods-item",
  props: {
    img: {
      type: String,
      default: "https://img1.baidu.com/it/u=1601695551,235775011&fm=26&fmt=auto"
    },
    title: {
      type: String,
      default: ""
    },
    titleWidth: {
      type: Number,
      default: 0
    },
    skuText: {
      type: [String, Array],
      default: ""
    },
    price: {
      type: [String, Number],
      default: ""
    },
    priceColor: {
      type: [String],
      default: ""
    },
    num: {
      type: [String, Number],
      default: 0
    },
    score: {
      type: [String, Number],
      default: ""
    },
    radius: {
      type: [String],
      default: ""
    },
    marginBottom: {
      type: [String],
      default: ""
    },
    virtualPirce: {
      type: [Boolean],
      default: false
    }
  },
  setup(__props) {
    const props = __props;
    const skuString = common_vendor.computed(() => {
      if (!props.skuText) {
        return "";
      }
      if (typeof props.skuText === "object") {
        return props.skuText.join(",");
      }
      return props.skuText;
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.unref(sheep_index.sheep).$url.cdn(__props.img),
        b: __props.title
      }, __props.title ? {
        c: common_vendor.t(__props.title)
      } : {}, {
        d: skuString.value
      }, skuString.value ? {
        e: common_vendor.t(skuString.value)
      } : {}, {
        f: __props.virtualPirce
      }, __props.virtualPirce ? {
        g: common_assets._imports_0,
        h: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.fen2yuan6)(__props.price))
      } : {
        i: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.fen2yuan)(__props.price))
      }, {
        j: common_vendor.s({
          color: __props.priceColor
        }),
        k: __props.num
      }, __props.num ? {
        l: common_vendor.t(__props.num)
      } : {}, {
        m: common_vendor.s({
          width: __props.titleWidth ? __props.titleWidth + "rpx" : ""
        }),
        n: common_vendor.s({
          borderRadius: __props.radius + "rpx",
          marginBottom: __props.marginBottom + "rpx"
        })
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-8a2df41e"], ["__file", "D:/zx/mall-front-app/sheep/components/s-goods-item/s-goods-item.vue"]]);
wx.createComponent(Component);
